POST api/contractItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "10538425-84fc-43fc-83ff-6f1b858a2c1d",
"selected_nameplate_id": "4f786f57-c329-4363-bb4a-2e5c9d04b913",
"active": true,
"contract_id": "4d896001-3500-4107-bfb8-6e816bc28cc2",
"id": "4ffa51b9-704b-49a1-bbee-6041879e67d0",
"physical_item_id": "f3b03d46-ee60-4316-9d7c-5e22d99bf97f",
"service_item_id": "3836db54-f32e-45c1-893c-de871fd4ebe8",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>4d896001-3500-4107-bfb8-6e816bc28cc2</contract_id>
<id>4ffa51b9-704b-49a1-bbee-6041879e67d0</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>f3b03d46-ee60-4316-9d7c-5e22d99bf97f</physical_item_id>
<quantity>1</quantity>
<service_item_id>3836db54-f32e-45c1-893c-de871fd4ebe8</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>4f786f57-c329-4363-bb4a-2e5c9d04b913</selected_nameplate_id>
<selected_sticker_id>10538425-84fc-43fc-83ff-6f1b858a2c1d</selected_sticker_id>
</contract_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e8e24538-5eee-47a2-b179-d1a2e1b63aef"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e8e24538-5eee-47a2-b179-d1a2e1b63aef</guid>